
/** 
* Program: AddEffectAndSlowPlay.js
* Description: This script will add a FX and change playrate to the selected event
* Author: Philip
* 
* Date: August 24, 2003 
**/ 

import Sony.Vegas; 
import System.Windows.Forms;
import Microsoft.Win32;

// This is the full name of the effect plug-in you want to add.
var plugInName = "Sonic Foundry Color Corrector (Secondary)";

// This is the name of the preset you want. Set this to null if you
// want the default preset.
var presetName = "Boost Mids";

var playrate = 0.5;

try
{
// step through all selected video events:
for (var track in Vegas.Project.Tracks) {
for (var evnt in track.Events) {
if (!evnt.Selected || evnt.MediaType != MediaType.Video) continue;

// Add FX
var fx = Vegas.VideoFX;

var plugIn = fx.GetChildByName(plugInName);
if (null == plugIn) {
throw "could not find a plug-in named: '" + plugInName + "'";
}

var effect = new Effect(plugIn);
evnt.Effects.Add(effect);
if (null != presetName) {
effect.Preset = presetName;
}

//Set playrate
evnt.AdjustPlaybackRate(playrate, 0);

}
}

}
catch (errorMsg)
{
MessageBox.Show(errorMsg, "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
}
