/**
 * This script will add an effect to each item in the current
 * project's media pool.
 *
 * Revision Date: Jan. 30, 2003
**/
import System.Windows.Forms;
import Sony.Vegas;


// This is the full name of the effect plug-in you want to add.
var plugInName = "Sonic Foundry Timecode";

// This is the name of the preset you want. Set this to null if you
// want the default preset.
var presetName = "SMPTE Drop (29.97 fps)";

try {
    var fx = Vegas.VideoFX;

    var plugIn = fx.GetChildByName(plugInName);
    if (null == plugIn) {
        throw "could not find a plug-in named: '" + plugInName + "'";
    }

    var mediaEnum = new Enumerator(Vegas.Project.MediaPool);
    while (!mediaEnum.atEnd()) {
        var media = mediaEnum.item();
        // only add the effect if the media object has a video stream.
        if (media.HasVideo()) {
            var effect = new Effect(plugIn);
            media.Effects.Add(effect);
            if (null != presetName) {
                effect.Preset = presetName;
            }
        }
        mediaEnum.moveNext();
    }

} catch (e) {
    MessageBox.Show(e);
}
