/**
 * This script will add markers between all events on the selected track
 *
 * Written By: Edward Troxel
 * www.jetdv.com/tts
 * 04/02/2003
 **/

import System;
import System.IO;
import System.Windows.Forms;
import Sony.Vegas;


try {
  var zeroMark : Timecode = new Timecode(0);
  var myMarker : Marker;

  //Find the selected event
  var track = FindSelectedTrack();
  if (null == track)
      throw "no selected track";

  var eventEnum = new Enumerator(track.Events);
  while (!eventEnum.atEnd()) {
    var evnt : TrackEvent = TrackEvent(eventEnum.item());

    if (evnt.Start > zeroMark) {
      //Put a marker at the start point
      myMarker = new Marker(evnt.Start);
      Vegas.Project.Markers.Add(myMarker);
    }

    eventEnum.moveNext();
  }



} catch (e) {
    MessageBox.Show(e);
}


function FindSelectedTrack() : Track {
  var trackEnum = new Enumerator(Vegas.Project.Tracks);
  while (!trackEnum.atEnd()) {
    var track : Track = Track(trackEnum.item());
    if (track.Selected) {
        return track;
    }
    trackEnum.moveNext();
  }
  return null;
}


