/**
 * Sample script that script creates 10 tracks each containing 10
 * events.  No media is assigned to the events.
 *
 * Revision Date: Feb. 04, 2003.
 **/

import Sony.Vegas;
import System.Windows.Forms;

var trackCount = 10;
var eventCount = 10;
var eventLength = new Timecode(10000); // 10 seconds

var mediaType = MediaType.Audio;

var track, trackEvent;
var i, j;
var startTime;

for (i = 0; i < trackCount; i++) {

    // create a track
    if (mediaType == MediaType.Audio) 
        track = new AudioTrack(i, "Audio " + (i+1));
    else
        track = new VideoTrack(i, "Video " + (i+1));

    // add the track
    Vegas.Project.Tracks.Add(track);

    startTime = new Timecode();
    for (j = 0; j < eventCount; j++) {

        // create an event
        if (mediaType == MediaType.Audio) 
            trackEvent = new AudioEvent(startTime, eventLength, "Audio Event " + (j+1));
        else
            trackEvent = new VideoEvent(startTime, eventLength, "Video Event " + (j+1));

        // add the event to the track
        track.Events.Add(trackEvent);

        // increment the start time
        startTime += eventLength;
    }

    // toggle the media type
    if (mediaType == MediaType.Audio) 
        mediaType = MediaType.Video;
    else
        mediaType = MediaType.Audio;
}
