// This script exports frames as PNG files for the video inside a time selection.
//
// Written by Joe Sacher, with code from Snapshot.js

import System.Windows.Forms; 
import Sony.Vegas.Script; 
import Sony.Vegas; 

// The first thing this script does is save off the preview & project 
// settings that will be set later. This is so they can be restored 
// after the script is complete. 
var origPreviewRenderQuality = Vegas.Project.Preview.RenderQuality; 
var origPreviewFillSize = Vegas.Project.Preview.FullSize; 

// %%% Uncomment this if you want to deinterlace
//var origFieldOrder = Vegas.Project.Video.FieldOrder; 
//var origProjectDeinterlaceMethod = Vegas.Project.Video.DeinterlaceMethod; 

//
// Change this to the folder you want to export to.
//
var filePath = "C:/VideoProjects/Stills/";

try 
{ 
	// Set the preview quality and size. 
	Vegas.Project.Preview.RenderQuality = VideoRenderQuality.Best; 
	Vegas.Project.Preview.FullSize = true; 

// %%% Uncomment this if you want to deinterlace
//	Vegas.Project.Video.FieldOrder = VideoFieldOrder.ProgressiveScan; 
//	Vegas.Project.Video.DeinterlaceMethod = VideoDeinterlaceMethod.InterpolateFields; 

	var selStart : Timecode = Vegas.SelectionStart;
	var selEnd : Timecode = Vegas.SelectionLength + selStart;
	var oneFrame = new Timecode("00:00:00;01");
	
	var count = 1;
	var filename = "Image";
	while(selStart <= selEnd)
	{
		Vegas.SaveSnapshot(filePath + filename + String.Format("{0:d5}", count) + ".png", ImageFileFormat.PNG, selStart)
		selStart = selStart + oneFrame;
		count++;
	}
	MessageBox.Show("Export Completed");
} 
catch (e) 
{ 
	MessageBox.Show(e); 
} 

// restore the project and preview settings 
Vegas.Project.Preview.RenderQuality = origPreviewRenderQuality; 
Vegas.Project.Preview.FullSize = origPreviewFillSize; 

// %%% Uncomment this if you want to deinterlace
//Vegas.Project.Video.FieldOrder = origFieldOrder; 
//Vegas.Project.Video.DeinterlaceMethod = origProjectDeinterlaceMethod; 
