/**
 * This script will remove all effects of a particular type from items
 * in the project's media pool.
 *
 * Revision Date: Jan. 30, 2003
 **/
import System.Windows.Forms;
import Sony.Vegas;

// This is the full name of the plug-in associated with the effects
// you want to remove.
var plugInName = "Sonic Foundry Timecode";

try {
    var mediaEnum = new Enumerator(Vegas.Project.MediaPool);
    while (!mediaEnum.atEnd()) {
        var media = mediaEnum.item();
        var effectsEnum = new Enumerator(media.Effects);
        while (!effectsEnum.atEnd()) {
            var effect = effectsEnum.item();
            if (plugInName == effect.PlugIn.Name) {
                media.Effects.Remove(effect);
            }
            effectsEnum.moveNext();
        }
        mediaEnum.moveNext();
    }
} catch (e) {
    MessageBox.Show(e);
}
