// This script copies a snapshot of the current cursor position to the clipboard

import System.Windows.Forms; 
import Sony.Vegas.Script; 
import Sony.Vegas; 

// Save original Settings
var origPreviewRenderQuality = Vegas.Project.Preview.RenderQuality; 
var origPreviewFillSize = Vegas.Project.Preview.FullSize; 
var origFieldOrder = Vegas.Project.Video.FieldOrder; 
var origProjectDeinterlaceMethod = Vegas.Project.Video.DeinterlaceMethod; 

try 
{ 

	// Setup Preview for image capture
	Vegas.Project.Preview.RenderQuality = VideoRenderQuality.Best; 
	Vegas.Project.Preview.FullSize = true; 

	// Set the field order and deinterlace method 
	Vegas.Project.Video.FieldOrder = VideoFieldOrder.ProgressiveScan; 
	Vegas.Project.Video.DeinterlaceMethod = VideoDeinterlaceMethod.InterpolateFields; 

	// Copy Snapshot to Clipboard
	Vegas.SaveSnapshot() == RenderStatus.Complete

}
catch (e)
{ 
	MessageBox.Show(e); 
} 

// Restore Previous Settings
Vegas.Project.Preview.RenderQuality = origPreviewRenderQuality; 
Vegas.Project.Preview.FullSize = origPreviewFillSize; 
Vegas.Project.Video.FieldOrder = origFieldOrder; 
Vegas.Project.Video.DeinterlaceMethod = origProjectDeinterlaceMethod; 
