//---------------------------------------------------------------------------
//Script:	VisualKeyframer
//Author:	Lee Brenner
//Purpose:	Allows you to set effect and motion keyframes using the main
//			timeline.
//Born-On:	11/23/03
//
//Notes:	I was working on a music video and was trying to set effect and
//			motion keyframes based on the beats of the music clip. I was doing
//			it visually by going into the effect or motion timeline and, using
//			trial-and-error, eventually matching up my timeline selection with
//			a beat on the main timeline's music clip.
//
//			This was tedious to say the least. Especially since I had to do it
//			for both the effect and motion timelines.
//
//			Using this script, simply set the point at which you want a key to
//			be added using the MAIN timeline. The script will list out all
//			effects applied to the selected event. Choose the ones you want
//			keyframes added to and, optionally, tell it to keyframe the motion
//			track at the same time. Hit "OK" and presto! Keyframes are added
//			relative to where you selected on the main timeline. No more tedium!
//
//			I hope you find this as useful as I have. Email me if you have found
//			bugs or have suggestions for improvement.
//
//			www.monkeyfury.com
//			boodabang@monkeyfury.com
//---------------------------------------------------------------------------
import Sony.Vegas;
import VisualKeyframer.VisualKeyframer;

var myVKC : VisualKeyframerClass = new VisualKeyframerClass(Vegas);