'****************************************
'Script created by Lars Netzel 2003-07-14
'****************************************
'This script will expand all selected 
'events by a number of frames provided by
'the user to get events to overlap each 
'other.
'****************************************

Imports Sony.Vegas
Imports System.Windows.Forms.Form
Imports System.Windows.Forms
Imports System.Collections
Imports System
Imports System.Drawing
Imports System.ComponentModel
Imports System.IO

Public Module MainModule

    Public Sub Main()
        ExpandSelectedEvent(GetInputValue())
    End Sub

    Public Function GetInputValue() As Integer
        'prompt User For Input  
        Dim InputValue As String
        InputValue = InputBox("Type the number of frames you want to expand event with")
        Try
            GetInputValue = CInt(InputValue)
        Catch objE As Exception
            MessageBox.Show("Input was not a valid number")
            GetInputValue = 0
        End Try
    End Function

    Private Sub ExpandSelectedEvent(ByVal NumberofFrames As Integer)
        Dim anEnum As IEnumerator
        Dim SelectedTracks As Integer
        anEnum = VegasApp.Project.Tracks.GetEnumerator
        While anEnum.MoveNext 'Loop through the tracks
            If CType(anEnum.Current(), Sony.MediaSoftware.Vegas.Track).IsVideo Then
                Dim EventEnum As IEnumerator
                EventEnum = CType(anEnum.Current(), Sony.MediaSoftware.Vegas.Track).Events.GetEnumerator
                While EventEnum.MoveNext 'Loop through Events
                    Dim TrackEvent As Sony.MediaSoftware.Vegas.TrackEvent
                    TrackEvent = CType(EventEnum.Current, Sony.MediaSoftware.Vegas.TrackEvent)
                    If TrackEvent.Selected Then
                        Dim addFrames As New Timecode()
                        Dim start As Timecode
                        Dim length As Timecode
                        'Event length will be added with NumberofFrames*2 long but start NumberofFrames earlier
                        addFrames.FrameCount = (0 - NumberofFrames)
                        start = TrackEvent.Start.op_Addition(TrackEvent.Start, addFrames)
                        addFrames.FrameCount = (NumberofFrames * 2)
                        length = TrackEvent.Length.op_Addition(TrackEvent.Length, addFrames)
                        'Make change
                        TrackEvent.AdjustStartLength(start, length, False)
                    End If
                End While
            End If
        End While
    End Sub

End Module


