'****************************************
'Script created by Lars Netzel 2003-07-13
'****************************************
'This script will Set the velocity
'envelope to -100% and make the Events 
'playback backwards
'****************************************



Imports Sony.Vegas
Imports System.Windows.Forms.Form
Imports System.Windows.Forms
Imports System.Collections
Imports System
Imports System.Drawing
Imports System.ComponentModel
Imports System.IO


Public Module MainModule

    Public Sub Main()
        ChangeVelocity(-1)
    End Sub

    Public Sub ChangeVelocity(ByVal value As Double)
        Dim anEnum As IEnumerator
        Dim SelectedTracks As Integer
        anEnum = VegasApp.Project.Tracks.GetEnumerator
        While anEnum.MoveNext 'Loop through the tracks
            If CType(anEnum.Current(), Sony.MediaSoftware.Vegas.Track).IsVideo Then
                Dim EventEnum As IEnumerator
                EventEnum = CType(anEnum.Current(), Sony.MediaSoftware.Vegas.Track).Events.GetEnumerator
                While EventEnum.MoveNext 'Loop through Events
                    Dim TrackEvent As Sony.MediaSoftware.Vegas.VideoEvent
                    TrackEvent = CType(EventEnum.Current, Sony.MediaSoftware.Vegas.VideoEvent)
                    If TrackEvent.Selected Then 'Check to see if Event is selected
                        Dim VelEnv As New Envelope(EnvelopeType.Velocity)
                        If Not TrackEvent.Envelopes.HasEnvelope(EnvelopeType.Velocity) Then 'Check if Event already has VelocityEnvelope
                            TrackEvent.Envelopes.Add(VelEnv)
                            ProcessEnvelope(FindVelEnvelope(TrackEvent.Envelopes), value)
                        End If
                    End If
                End While
            End If
        End While
    End Sub

    'Find VelocityEnvelope
    Private Function FindVelEnvelope(ByVal myEnvelopes As Envelopes) As Envelope
        Dim anEnum As IEnumerator
        anEnum = myEnvelopes.GetEnumerator
        While anEnum.MoveNext
            If CType(anEnum.Current, Envelope).Type = EnvelopeType.Velocity Then
                FindVelEnvelope = CType(anEnum.Current, Envelope)
            End If
        End While
    End Function

    'Set First envelopepoint Y value to provided value
    Private Sub ProcessEnvelope(ByVal myEnvelope As Envelope, ByVal value As Double)
        Dim StartPosition As New Timecode("0,000")
        Dim PointToChange As EnvelopePoint
        If myEnvelope.Points.Contains(StartPosition) Then
            PointToChange = myEnvelope.Points.GetPointAtX(StartPosition)
            PointToChange.Y = value
        Else
            Dim NewPoint As New EnvelopePoint(StartPosition, value)
            myEnvelope.Points.Add(NewPoint)
        End If
    End Sub


End Module
