/**
 * This script will reduce the volume on a music track whenever there are clips
 * on a narrative track.
 * 
 * Written By: Edward Troxel
 * www.jetdv.com/tts
 * Modified: 04-05-2003
 **/

import System;
import System.IO;
import System.Windows.Forms;
import Sony.Vegas;


try {
  // Set the defaults


    var foundfirst = false;
    var trackEnum = new Enumerator(Vegas.Project.Tracks);
    while (!trackEnum.atEnd()) {
      var track : Track = Track(trackEnum.item());

      //Now process all selected events on video tracks
        var eventEnum = new Enumerator(track.Events);
        while (!eventEnum.atEnd()) {
          var evnt : TrackEvent = TrackEvent(eventEnum.item());

          if (evnt.Selected) {
            if (!foundfirst) {
               foundfirst = true;
               Vegas.SelectionStart = evnt.Start;
               Vegas.SelectionLength = new Timecode(0);
            }
            var NewTime = evnt.Start + evnt.Length;
            Vegas.SelectionLength = NewTime - Vegas.SelectionStart;
          }

          eventEnum.moveNext();
        }
      trackEnum.moveNext();
    }



} catch (e) {
    MessageBox.Show(e);
}


